Feedback items
Authorization
ApiKeyAuth X-API-Key<token>
External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Query Parameters
status?|null
page?Page
Range
1 <= valueDefault
1page_size?Page Size
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
curl -X GET "https://example.com/v2/external-api/feedback/items"{ "items": [ { "object": "feedback_item", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "to_process", "end_user_email": "string", "created_at": "2019-08-24T14:15:22Z" } ], "total": 0, "page": 0, "page_size": 0, "total_pages": 0}Authorization
ApiKeyAuth X-API-Key<token>
External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
feedback_item_id*Feedback Item Id
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v2/external-api/feedback/items/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "object": "feedback_item", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "to_process", "end_user_email": "string", "created_at": "2019-08-24T14:15:22Z", "markdown_content": "string", "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "file_name": "string", "file_url": "string", "file_size": 0, "mime_type": "string" } ], "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}